com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonArrayFormatVisitor.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor.Base

All Implemented Interfaces:
  JsonArrayFormatVisitor, JsonFormatVisitorWithSerializerProvider

Enclosing interface:
  JsonArrayFormatVisitor

    public static class JsonArrayFormatVisitor.Base
    extends Object
    implements JsonArrayFormatVisitor

Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor

`JsonArrayFormatVisitor.Base`

### Field Summary

Fields
`protected SerializerProvider` `_provider`

### Constructor Summary

Constructors
Constructor and Description
`Base()`
`Base(SerializerProvider p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SerializerProvider` `getProvider()`
`void` `itemsFormat(JsonFormatTypes format)` Visit method that is called if the content type is a simple scalar type like `JsonFormatTypes.STRING` (but not for structured types like `JsonFormatTypes.OBJECT` since they would be missing type information).
`void` `itemsFormat(JsonFormatVisitable handler, JavaType elementType)` Visit method called for structured types, as well as possibly for leaf types (especially if handled by custom serializers).
`void` `setProvider(SerializerProvider p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _provider

    protected SerializerProvider _provider

### Constructor Detail

#### Base

    public Base()

#### Base

    public Base(SerializerProvider p)

### Method Detail

#### getProvider

    public SerializerProvider getProvider()

Specified by:
  `getProvider` in interface `JsonFormatVisitorWithSerializerProvider`

#### setProvider

    public void setProvider(SerializerProvider p)

Specified by:
  `setProvider` in interface `JsonFormatVisitorWithSerializerProvider`

#### itemsFormat

    public void itemsFormat(JsonFormatVisitable handler,
                            JavaType elementType)
                     throws JsonMappingException

Description copied from interface: `JsonArrayFormatVisitor`
Visit method called for structured types, as well as possibly for leaf types (especially if handled by custom serializers).

Specified by:
  `itemsFormat` in interface `JsonArrayFormatVisitor`
Parameters:
  `handler` - Serializer used, to allow for further callbacks
  `elementType` - Type of elements in JSON array value
Throws:
  `JsonMappingException`

#### itemsFormat

    public void itemsFormat(JsonFormatTypes format)
                     throws JsonMappingException

Description copied from interface: `JsonArrayFormatVisitor`
Visit method that is called if the content type is a simple scalar type like `JsonFormatTypes.STRING` (but not for structured types like `JsonFormatTypes.OBJECT` since they would be missing type information).

Specified by:
  `itemsFormat` in interface `JsonArrayFormatVisitor`
Throws:
  `JsonMappingException`